Documents
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Query parameters
pageinteger ยท min: 1Optional
Page number (default 1)
pageSizeinteger ยท min: 1 ยท max: 100Optional
Items per page (default 20, max 100)
Responses
200
Paginated list of documents
application/json
totalCountintegerOptional
pageintegerOptional
pageSizeintegerOptional
totalPagesintegerOptional
401
Unauthorized
get
/documents/getAuthorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
documentIdstringRequired
Document request identifier
Responses
200
Document payload
application/json
idstringOptional
Unique identifier for the document (matches request id)
typestringOptional
Document type
formatstring ยท enumOptionalPossible values:
Stored result format
titlestring ยท nullableOptional
Optional document title
statusintegerOptional
Current progress percentage (100 when completed)
createdOnstring ยท date-timeOptional
UTC timestamp when the document row was created
contentstring ยท nullableOptional
Text or HTML content when format is text or html
urlstring ยท nullableOptional
Direct PDF URL when format is pdf
401
Unauthorized
404
Document not found
get
/documents/{documentId}Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
documentIdstringRequired
Document request identifier
Responses
200
Document download
application/octet-stream
string ยท binaryOptional
401
Unauthorized
404
Document not found or not ready
502
Upstream asset unavailable
get
/documents/{documentId}/downloadLast updated